const express = require("express");
const { ApolloServer, gql } = require("apollo-server-express");

const typeDefs = gql`
  type Query {
    hello: String
    goodbye: String
  }
`;

const resolvers = {
  Query: () => ({
    hello: () => "hi still",
  }),
};

const server = new ApolloServer({
  typeDefs,
  mocks: resolvers,
});

const app = express();
server.applyMiddleware({ app });

const port = 5000;
app.listen({ port }, () => {
  console.log(`Listening on http://localhost:${port}${server.graphqlPath}

The code is refactored, but behaves the same.
What changed?
What is a middleware?`);
});
